<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductStocksTable extends Migration {

	public function up()
	{
		Schema::create('product_stocks', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('product_variation_id')->unsigned();
			$table->integer('total_stock');
			$table->integer('unit_price');
			$table->integer('total_price');
			$table->enum('type', array('inc', 'dec'));
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('product_stocks');
	}
}