<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductVariationsTable extends Migration {

	public function up()
	{
		Schema::create('product_variations', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('product_id')->unsigned();
			$table->integer('color_id')->unsigned();
			$table->integer('stock');
			$table->integer('size_id')->unsigned();
			$table->string('sku');
			$table->string('price');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('product_variations');
	}
}